# class RSS::Maker::RSS09::Textinput

### Public Instance Methods

to_feed(rss) click to toggle source

    # File lib/rss/maker/0.9.rb, line 445
    def to_feed(rss)
      textInput = Rss::Channel::TextInput.new
      set = setup_values(textInput)
      if set
        rss.channel.textInput = textInput
        set_parent(textInput, rss.channel)
        setup_other_elements(rss, textInput)
      end
    end

### Private Instance Methods

required_variable_names() click to toggle source

    # File lib/rss/maker/0.9.rb, line 456
    def required_variable_names
      %w(title description name link)
    end